#!/bin/bash

source ../settings

# Depends on util, compiler and classpath.

FILES=`echo src/at/dms/ksm/*.java src/at/dms/kopi/*.java src/at/dms/ikjc/*.java src/at/dms/dis/*.java`
JAR=kopi-misc.jar
NAME="at.dms.<misc-stuff>"

rm -rf classes/at
( $COMPILER -d classes \
       -classpath src:../libs/gnugetopt.jar:../libs/antlr.jar:../util/jars/kopi-util.jar:../classfile/jars/kopi-classfile.jar:../compiler/jars/kopi-compiler.jar:$JIKESPATH \
       $FILES \
  && echo "Compilation of $NAME finished." \
  && jar cmf0 jars/manifest jars/$JAR -C classes at \
  && echo "Jar file $JAR created.") 2>&1
