#!/bin/bash

source ../settings

FILES=`echo src/at/dms/util/*.java`
JAR=kopi-util.jar
NAME="at.dms.util"

rm -rf classes/at
( $COMPILER -d classes \
       -classpath src:../libs/gnugetopt.jar:$JIKESPATH $FILES \
  && echo "Compilation of $NAME finished." \
  && jar cmf0 jars/manifest jars/$JAR -C classes at \
  && echo "Jar file $JAR created.") 2>&1
