/*
 * Copyright (C) 1990-99 DMS Decision Management Systems Ges.m.b.H.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package at.dms.backend;

import at.dms.util.Utils;
import at.dms.classfile.SwitchInstruction;
import at.dms.classfile.HandlerInfo;
import at.dms.classfile.AccessorContainer;
import at.dms.classfile.AbstractInstructionAccessor;
import at.dms.classfile.NoArgInstruction;
import at.dms.backend.InstructionHandle;

/**
 * This class performs peephole optimizations.
 */
public class PeepholeOptimizer
    extends TreeWalker
{
    /**
     * Creates a new instruction handle.
     *
     * @param instruction the instruction.
     * @param prev the handle of the next instruction in textual order.
     */
    public PeepholeOptimizer(BasicBlock[] bblocks, BasicBlock[] eblocks)
    {
        super(bblocks, eblocks);
    }

    /**
     * Runs the deadcode algorithm
     */
    public void run()
    {
        traverse();
    }

    protected void processNode(QNode node)
    {
    
    }
}
