#!/bin/bash

# This script generates java files from all .opt files in all subdirectories.

OPTGEN=$PWD/optgen/jars/kopi-optgen.jar

FILES=`find . -name "*.opt"`

for FILE in $FILES; do
    (
        cd `dirname $FILE`;
        echo "Making " `basename $FILE`
        java -jar $OPTGEN `basename $FILE`
    );
done

